import ConfigParser

class Settings(object):
    _config = ConfigParser.ConfigParser()
    _config.read('highscore')
    _options = dict(_config.items('Scores'))

    @classmethod
    def save(cls):
        f = file('highscore', 'w')
        s = '[Scores]\n'
        for item in cls._options.iterkeys():
            s += str(item) + ' = ' + str(cls._options[item]) + '\n'
        f.write(s)

    @classmethod
    def get_option(cls, option):
        if option in cls._options.keys():
            value = cls._options[option]
            try:
                return int(value)
            except:
                return value
        else:
            cls._options[option] = 0
            return 0

    @classmethod
    def set_option(cls, option, value):
        cls._options[option] = value
