import pyglet

from colors import *

text = '''
<font color="#646464" size=2>
I hope you have enjoyed playing my entry for Pyweek 7.
As always, I could not have finished without the help of others:
<br/>
<br/>
 * Richard for hosting the competition.
<br/>
<br/>
 * ldlework for playtesting and suggestions.
<br/>
<br/>
 * My friends for putting up with me being a hermit for a week.
<br/>
<br/>
 * Everyone in #pyweek for keeping me company.
<br/>
<br/>
Thank you,
<br/>
Joseph
</ font>
'''

class OutroMode(object):
    def __init__(self, window):
        self.window = window
        self.title = pyglet.resource.image('title.png')
        self.document = pyglet.text.decode_html(text)
        self.layout = pyglet.text.layout.IncrementalTextLayout(self.document, 200, 350, True)
        self.layout.x = 460
        self.layout.y = 25

    def update(self, dt):
        pass

    def draw(self):
        self.title.blit(0, 0)
        self.layout.draw()

    def on_key_press(self, symbol, modifiers):
        self.window.on_close()

    def on_mouse_press(self, x, y, buttons, modifiers):
        self.window.on_close()
